Policy Bootstrap Tool Fails to Start After Upgrading Oracle Access Manager 11.1.1.5.0 to Oracle Access Management Access Manager 11.1.2

Due to the presence of 11.1.1.5.0 policy bootstrap tool jars alongside new policy jars in the IAM_HOME/oam/server/tools/policy/lib directory, the policy bootstrap tool fails to start, when you upgrade Oracle Access Manager 11.1.1.5.0 to Oracle Access Management Access Manager 11.1.2 , with the following error:

./policy-bootstrap.sh
Input config file:
./../../../../..//oam/server/tools/policy/config/oam-policy-config.properties
[9:53:59]: OAMSSA-06143
[9:53:59]: Input properties:
— listing properties —
dbstore.USER_LOGIN=TEST_OAM
policy-store-name=dbstore
dbstore.JDBC_CONNECT_STRING=jdbc:oracle:thin:@tscwap06:1521:tsidmdb
policy-store-type=database
Exception in thread “main” java.lang.NullPointerException
at oracle.security.am.common.policy.tools.OAMPolicyStoreBootstrap.addPolicyObjects(OAMPolicyStoreBootstrap.java:245)
at oracle.security.am.common.policy.tools.OAMPolicyStoreBootstrap.main(OAMPolicyStoreBootstrap.java:183)
The workaround for this issue is as follows:

Delete the old policy bootstrap tool jars while upgrading.

Leave a Reply

Your email address will not be published. Required fields are marked *